"use strict";

exports.__esModule = true;
exports.direction = void 0;

var _rtlCssJs = _interopRequireDefault(require("rtl-css-js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var defaultOpts = {
  pre: 'dir'
};

var camelToDash = function camelToDash(str) {
  return str.replace(/\W+/g, '-').replace(/([a-z\d])([A-Z])/g, '$1-$2');
};

var filterProps = function filterProps(props, pre) {
  var result = {};
  Object.entries(props).forEach(function (prop) {
    if (prop[0].startsWith(pre)) {
      var key = prop[0].substring(pre.length);
      key = camelToDash(key).toLowerCase();
      result[key] = prop[1];
    }
  });
  return result;
};

var direction = function direction(props) {
  var filtered = filterProps(props, defaultOpts.dir);
  return {
    '[dir="ltr"] &': _extends({}, filtered),
    '[dir="rtl"] &': _extends({}, (0, _rtlCssJs["default"])(filtered))
  };
};

exports.direction = direction;
